Skip to content

Invoices

Invoice List

GET /api/v2/invoice_list : List of invoices along with the fields available for each invoice.

  • Every call accepts the following optional parameters: limit, offset, date
  • limit - Maximum number of records to fetch.
  • offset - Number of records to skip before starting to fetch.
  • date - Retrieve invoices for a specific date. (Format: YYYY-MM-DD)

The response envelope additionally echoes the applied limit and offset.

Example request

GET /api/v2/invoice_list?api_secret_key=<api_secret_key>

Example response

json
{
  "data": [
    {
      "id": 3823,
      "invoice_number": "RE20222147484368",
      "file": "InvoiceX_RE20222147484368.pdf",
      "discount_price": 0,
      "total_price": 6302.95,
      "currency": "EUR",
      "document_date": "2024-10-09T00:00:00+02:00",
      "created": "09.10.2024 13:59",
      "booking_reference": "",
      "payment_method": null,
      "invoice_type": "invoice",
      "processed_status": "No",
      "approved": 1,
      "text": "",
      "discount": {
        "type": null,
        "rate": null
      },
      "invoice_number_suffix_label": "",
      "payment_status": "Offen",
      "payment_type": "",
      "status": "Neu",
      "due_date": "19.10.2024",
      "customer": {
        "id": 21749,
        "company": "DemoStore GmbH",
        "first_name": "Erika",
        "last_name": "Mustermann",
        "street": "Musterstraße",
        "house_number": "1234",
        "zip": "12345",
        "city": "Musterstadt",
        "country": "DE"
      },
      "invoice_rows": [
        {
          "id": 15585,
          "date": "09.10.2024",
          "resource_id": 15869,
          "booking_id": 323881,
          "type": "Einzel",
          "rate": "-1 Pro Stunde",
          "duration": 1,
          "unit": "hours",
          "price": 200,
          "discount": null,
          "tax_rate": 0,
          "tax": 0,
          "total": 200
        },
        {
          "id": 15586,
          "date": "09.10.2024",
          "resource_id": 15869,
          "booking_id": 323887,
          "type": "Einzel",
          "rate": "-1 Pro Stunde",
          "duration": 4,
          "unit": "hours",
          "price": 240,
          "discount": null,
          "tax_rate": 0,
          "tax": 0,
          "total": 240
        },
        {
          "id": 15587,
          "date": "09.10.2024",
          "resource_id": 15869,
          "booking_id": 323893,
          "type": "Einzel",
          "rate": "-1 Pro Stunde",
          "duration": 1,
          "unit": "hours",
          "price": 200,
          "discount": null,
          "tax_rate": 0,
          "tax": 0,
          "total": 200
        },
        {
          "id": 15588,
          "date": "09.10.2024",
          "resource_id": 15869,
          "booking_id": 323887,
          "type": "Inventar",
          "rate": "23 Pro Minute",
          "duration": 15588,
          "unit": 15588,
          "price": 5520,
          "discount": null,
          "tax_rate": 0,
          "tax": 0,
          "total": 5520
        },
        {
          "id": 15589,
          "date": "09.10.2024",
          "resource_id": 15869,
          "booking_id": 323887,
          "type": "Inventar",
          "rate": "7.3 pro 30 Minuten",
          "duration": 15589,
          "unit": 15589,
          "price": 58.4,
          "discount": null,
          "tax_rate": 0,
          "tax": 0,
          "total": 58.4
        },
        {
          "id": 15590,
          "date": "09.10.2024",
          "resource_id": 15869,
          "booking_id": 323887,
          "type": "Service",
          "rate": "3 Pro Stunde",
          "duration": 15590,
          "unit": 15590,
          "price": 12,
          "discount": null,
          "tax_rate": 0,
          "tax": 0,
          "total": 12
        },
        {
          "id": 15591,
          "date": "09.10.2024",
          "resource_id": 15869,
          "booking_id": 323887,
          "type": "Service",
          "rate": "1 Pro Stunde",
          "duration": 15591,
          "unit": 15591,
          "price": 4,
          "discount": null,
          "tax_rate": 0,
          "tax": 0,
          "total": 4
        },
        {
          "id": 15592,
          "date": "09.10.2024",
          "resource_id": 15869,
          "booking_id": 323887,
          "type": "Service",
          "rate": "7.3 pro 30 Minuten",
          "duration": 15592,
          "unit": 15592,
          "price": 58.4,
          "discount": null,
          "tax_rate": 0,
          "tax": 0,
          "total": 58.4
        },
        {
          "id": 15593,
          "date": "09.10.2024",
          "resource_id": 15869,
          "booking_id": 323887,
          "type": "Service",
          "rate": "10.149 Pro St\u00fcck",
          "duration": 15593,
          "unit": 15593,
          "price": 10.149,
          "discount": null,
          "tax_rate": 0,
          "tax": 0,
          "total": 10.149
        }
      ]
    },
    {
      "id": 3814,
      "invoice_number": "2147484364",
      "file": "Caution_2147484364.pdf",
      "discount_price": 0,
      "total_price": 123,
      "currency": "EUR",
      "document_date": "2024-10-07T13:08:45+02:00",
      "created": "07.10.2024 13:08",
      "booking_reference": "",
      "payment_method": null,
      "invoice_type": "deposit",
      "processed_status": "No",
      "approved": 1,
      "text": "",
      "discount": {
        "type": null,
        "rate": null
      },
      "invoice_number_suffix_label": "Anzahlungsrechnung",
      "payment_status": "Offen",
      "payment_type": "",
      "status": "Neu",
      "due_date": "",
      "customer": {
        "id": 21749,
        "company": "DemoStore GmbH",
        "first_name": "Erika",
        "last_name": "Mustermann",
        "street": "Musterstraße",
        "house_number": "1234",
        "zip": "12345",
        "city": "Musterstadt",
        "country": "DE"
      },
      "invoice_rows": [
        {
          "id": 15563,
          "date": "07.10.2024",
          "resource_id": 0,
          "booking_id": 0,
          "type": "Kaution",
          "rate": 123,
          "duration": 15563,
          "unit": 15563,
          "price": 123,
          "discount": null,
          "tax_rate": 0,
          "tax": 0,
          "total": 123
        }
      ]
    }
  ],
  "total": 892,
  "success": true,
  "limit": 2,
  "offset": 0
}

Invoice Details

GET /api/v2/invoice_details : Retrieve detailed information for a specific invoice by providing the unique invoice number.

  • Every call accepts the following mandatory parameter: invoice_number
  • invoice_number - Retrieve details for the specified invoice. Pass the full invoice number including its prefix, exactly as returned by Invoice List (e.g. RE20222197484232); a bare number without the configured prefix is not found.

Example request

GET /api/v2/invoice_details?api_secret_key=<api_secret_key>&invoice_number=<invoice_number>

Example response

json
{
  "data": {
    "booking": {
      "15585": {
        "type": "special",
        "period": "09.10.2024",
        "date": "2024-10-09",
        "time": [
          {
            "from": "01:00",
            "to": "02:00"
          }
        ],
        "event_id": 323881,
        "booking": "preperation",
        "cost_centre": "",
        "tax_cost_centre": "",
        "general_ledger_account": "",
        "tax_general_ledger_account": "",
        "resource_id": 15869,
        "resource_text": "Foodball Stadium",
        "units": 1,
        "units_accurate": 1,
        "unit_type": "hours",
        "interval_price": -1,
        "price_for_scale": 200,
        "interval": "per_hour",
        "tax": 0,
        "price": "200.00000",
        "price_cost": 0,
        "tax_price": "0.00000",
        "booking_discount": 0,
        "total": "200.000000",
        "multi_day_spanning": "",
        "instance_start_date": "2024-10-09 01:00:00",
        "instance_end_date": "2024-10-09 02:00:00",
        "instance_id": "90185",
        "resource_hours": 1,
        "ePlanpersonCount": "",
        "status": true,
        "booking_status": true,
        "price_description": "",
        "price_rule_id": "4330",
        "price_rule_title": "3 KGK ab 1.6.24",
        "price_rule_display_interval": "per_hour",
        "offer_interval": "",
        "offer_price": 0,
        "purchased_offer_id": "0",
        "offer_id": "0",
        "multi_resource_price_applied": "",
        "remark": "",
        "is_edited": 0,
        "canceled": 0,
        "edit_history": "",
        "discount": 0,
        "discount_type": "percent",
        "discount_price": 0,
        "custom_fields": []
      },
      "15586": {
        "type": "special",
        "period": "09.10.2024",
        "date": "2024-10-09",
        "time": [
          {
            "from": "02:00",
            "to": "06:00"
          }
        ],
        "event_id": 323887,
        "booking": "Conference",
        "cost_centre": "",
        "tax_cost_centre": "",
        "general_ledger_account": "",
        "tax_general_ledger_account": "",
        "resource_id": 15869,
        "resource_text": "Foodball Stadium",
        "units": 4,
        "units_accurate": 4,
        "unit_type": "hours",
        "interval_price": -1,
        "price_for_scale": 240,
        "interval": "per_hour",
        "tax": 0,
        "price": "240.00000",
        "price_cost": 0,
        "tax_price": "0.00000",
        "booking_discount": 0,
        "total": "240.000000",
        "multi_day_spanning": "",
        "instance_start_date": "2024-10-09 02:00:00",
        "instance_end_date": "2024-10-09 06:00:00",
        "instance_id": "90189",
        "resource_hours": 4,
        "ePlanpersonCount": "0",
        "status": true,
        "booking_status": true,
        "price_description": "",
        "price_rule_id": "4330",
        "price_rule_title": "3 KGK ab 1.6.24",
        "price_rule_display_interval": "per_hour",
        "offer_interval": "",
        "offer_price": 0,
        "purchased_offer_id": "0",
        "offer_id": "0",
        "multi_resource_price_applied": "",
        "remark": "",
        "is_edited": 0,
        "canceled": 0,
        "edit_history": "",
        "discount": 0,
        "discount_type": "percent",
        "discount_price": 0,
        "custom_fields": []
      },
      "15587": {
        "type": "special",
        "period": "09.10.2024",
        "date": "2024-10-09",
        "time": [
          {
            "from": "06:00",
            "to": "07:00"
          }
        ],
        "event_id": 323893,
        "booking": "Cleaning",
        "cost_centre": "",
        "tax_cost_centre": "",
        "general_ledger_account": "",
        "tax_general_ledger_account": "",
        "resource_id": 15869,
        "resource_text": "Foodball Stadium",
        "units": 1,
        "units_accurate": 1,
        "unit_type": "hours",
        "interval_price": -1,
        "price_for_scale": 200,
        "interval": "per_hour",
        "tax": 0,
        "price": "200.00000",
        "price_cost": 0,
        "tax_price": "0.00000",
        "booking_discount": 0,
        "total": "200.000000",
        "multi_day_spanning": "",
        "instance_start_date": "2024-10-09 06:00:00",
        "instance_end_date": "2024-10-09 07:00:00",
        "instance_id": "90193",
        "resource_hours": 1,
        "ePlanpersonCount": "",
        "status": true,
        "booking_status": true,
        "price_description": "",
        "price_rule_id": "4330",
        "price_rule_title": "3 KGK ab 1.6.24",
        "price_rule_display_interval": "per_hour",
        "offer_interval": "",
        "offer_price": 0,
        "purchased_offer_id": "0",
        "offer_id": "0",
        "multi_resource_price_applied": "",
        "remark": "",
        "is_edited": 0,
        "canceled": 0,
        "edit_history": "",
        "discount": 0,
        "discount_type": "percent",
        "discount_price": 0,
        "custom_fields": []
      }
    },
    "inventory": {
      "15588": {
        "date": "2024-10-09",
        "period": "",
        "id": "13",
        "inventory": "Inv_item1",
        "quantity": "1",
        "booking_id": 323887,
        "booking": "Conference",
        "resource_id": 15869,
        "resource": "Foodball Stadium",
        "units": 4,
        "unit_type": "hours",
        "interval_price": 23,
        "interval": "per_minute",
        "tax": 0,
        "price": "5520.00000",
        "price_cost": 0,
        "tax_price": "0.00000",
        "total": "5520.000000",
        "multi_day_spanning": "",
        "instance_start_date": "",
        "instance_end_date": "",
        "status": true,
        "booking_status": true
      },
      "15589": {
        "date": "2024-10-09",
        "period": "",
        "id": "1317",
        "inventory": "Sample inventory",
        "quantity": "1",
        "booking_id": 323887,
        "booking": "Conference",
        "resource_id": 15869,
        "resource": "Foodball Stadium",
        "units": 4,
        "unit_type": "hours",
        "interval_price": 7.3,
        "interval": "per_30_minutes",
        "tax": 0,
        "price": "58.40000",
        "price_cost": 0,
        "tax_price": "0.00000",
        "total": "58.400000",
        "multi_day_spanning": "",
        "instance_start_date": "",
        "instance_end_date": "",
        "status": true,
        "booking_status": true
      }
    },
    "feature": {
      "15590": {
        "date": "2024-10-09",
        "period": "",
        "id": "128",
        "feature": "Reduced Feat",
        "quantity": "1",
        "booking_id": 323887,
        "booking": "Conference",
        "resource_id": 15869,
        "resource": "Foodball Stadium",
        "units": 4,
        "unit_type": "hours",
        "interval_price": 3,
        "interval": "per_hour",
        "tax": 0,
        "price": "12.00000",
        "price_cost": 0,
        "tax_price": "0.00000",
        "total": "12.000000",
        "multi_day_spanning": "",
        "instance_start_date": "",
        "instance_end_date": "",
        "status": true,
        "booking_status": true
      },
      "15591": {
        "date": "2024-10-09",
        "period": "",
        "id": "686",
        "feature": "CJ Service",
        "quantity": "1",
        "booking_id": 323887,
        "booking": "Conference",
        "resource_id": 15869,
        "resource": "Foodball Stadium",
        "units": 4,
        "unit_type": "hours",
        "interval_price": 1,
        "interval": "per_hour",
        "tax": 0,
        "price": "4.00000",
        "price_cost": 0,
        "tax_price": "0.00000",
        "total": "4.000000",
        "multi_day_spanning": "",
        "instance_start_date": "",
        "instance_end_date": "",
        "status": true,
        "booking_status": true
      },
      "15592": {
        "date": "2024-10-09",
        "period": "",
        "id": "1055",
        "feature": "Sample service",
        "quantity": "1",
        "booking_id": 323887,
        "booking": "Conference",
        "resource_id": 15869,
        "resource": "Foodball Stadium",
        "units": 4,
        "unit_type": "hours",
        "interval_price": 7.3,
        "interval": "per_30_minutes",
        "tax": 0,
        "price": "58.40000",
        "price_cost": 0,
        "tax_price": "0.00000",
        "total": "58.400000",
        "multi_day_spanning": "",
        "instance_start_date": "",
        "instance_end_date": "",
        "status": true,
        "booking_status": true
      },
      "15593": {
        "date": "2024-10-09",
        "period": "",
        "id": "451",
        "feature": "Projectors",
        "quantity": "1",
        "booking_id": 323887,
        "booking": "Conference",
        "resource_id": 15869,
        "resource": "Foodball Stadium",
        "units": 4,
        "unit_type": "hours",
        "interval_price": 10.149,
        "interval": "per_quantity",
        "tax": 0,
        "price": "10.14900",
        "price_cost": 0,
        "tax_price": "0.00000",
        "total": "10.149000",
        "multi_day_spanning": "",
        "instance_start_date": "",
        "instance_end_date": "",
        "status": true,
        "booking_status": true
      }
    },
    "person": [],
    "deposit": [],
    "offer": [],
    "calc": {
      "total": {
        "booking": 640.00001,
        "booking_tax": 0,
        "inventory": 5578.400009999999,
        "inventory_tax": 0,
        "feature": 84.54901,
        "feature_tax": 0,
        "person": 0,
        "person_tax": 0,
        "deposit": 0,
        "deposit_tax": 0,
        "booking_offer": 0,
        "offer": 0,
        "offer_tax": 0,
        "offer_price": 0
      },
      "tax": [
        0
      ],
      "tax_from": [
        6302.949
      ],
      "cost_centre": [],
      "general_ledger": []
    },
    "invoice": {
      "customer": {
        "id": 21749,
        "name": "DemoStore GmbH",
        "email": "jane.doe@example.com",
        "salutation": "1",
        "customer_number": 100010,
        "financial_number": "",
        "cost_centre": "",
        "reference_sign": "",
        "reference_number": "",
        "items_shown_in_invoice": {
          "customer_number": 0,
          "reference_sign": 0,
          "financial_number": 0,
          "cost_centre": 0,
          "reference_number": 0
        },
        "mandate": "100010",
        "customer_account_number": "4444",
        "debtor_account_number": "",
        "customer_number_prefix": "CUST",
        "customer_full_name": "Erika Mustermann",
        "salutation_txt": "Frau",
        "salutation_title_txt": "",
        "company_name": "DemoStore GmbH",
        "customer_zip": "12345",
        "customer_street": "Musterstraße",
        "customer_house_number": "1234",
        "customer_country": "DE",
        "customer_city": "Musterstadt",
        "first_name": "Erika",
        "last_name": "Mustermann",
        "customer_phone": "+49 30 1234567",
        "iban": "DE89370400440532013000"
      },
      "document_date": "2024-10-09 00:00:00",
      "created": "2024-10-09 13:59:01",
      "modified": "2024-10-09 13:59:15",
      "invoice_id": 3823,
      "manager_id": 46,
      "invoice_number": 2147484368,
      "invoice_number_prefix": "RE2022",
      "file": "InvoiceX_RE20222147484368.pdf",
      "invoice_sent": false,
      "comments": "",
      "invoice_comment": "",
      "invoice_text_extra": "",
      "closing_text_extra": "",
      "booking_description_extra": "Custom Booking Description",
      "down_payment": 0,
      "total_price": 6302.95,
      "currency": "EUR",
      "discount": {
        "id": 0,
        "code": "",
        "price": 0
      },
      "status": 0,
      "payment_method": null,
      "invoice_type": "invoice",
      "billing_address": 0,
      "processed_status": "No",
      "processed_on": null,
      "processed_from": 0,
      "balance_payment": "6302.95",
      "payment_history": "a:0:{}",
      "offer_id": 0,
      "approved": 1,
      "booking_reference": "",
      "payment_due_date": "2024-10-19",
      "payment_transaction_id": "",
      "eplan_id": 0,
      "eplan_document_id": 0,
      "payment_reference_number": "",
      "booking_reference_modulo11": "",
      "created_by": 0,
      "is_caution": false,
      "custom_fields": "[]",
      "final_discount": "",
      "final_discount_type": "percentage",
      "final_discount_price": 0
    }
  },
  "success": true
}